org.appng.cli.prettytable

## Class TableConstants

- java.lang.Object
- - org.appng.cli.prettytable.TableConstants

-     public class TableConstants
      extends Object

  Some constant values used when dealing with `PrettyTable`s.
  Author:
    Matthias Herlitzius

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION`
    `static String` | `CHANGED`
    `static String` | `DEFAULTVALUE`
    `static String` | `DESCRIPTION`
    `static String` | `DISPLAY_NAME`
    `static String` | `DOMAIN`
    `static String` | `EMAIL`
    `static String` | `EXPIRY_DATE`
    `static String` | `FAILED_LOGIN_ATTEMPTS`
    `static String` | `FILEBASED`
    `static String` | `HIDDEN`
    `static String` | `HOST`
    `static String` | `ID`
    `static String` | `IS_ACTIVE`
    `static String` | `IS_ALIAS`
    `static String` | `LANGUAGE`
    `static String` | `LAST_LOGIN`
    `static String` | `LOCKED`
    `static String` | `MODE`
    `static String` | `NAME`
    `static String` | `PASSWORD_CHANGE_POLICY`
    `static String` | `PRIVILEGED`
    `static String` | `REAL_NAME`
    `static String` | `TYPE`
    `static String` | `URI`
    `static String` | `USER_NAME`
    `static String` | `VALUE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### USER_NAME

          public static final String USER_NAME

      See Also:
        Constant Field Values

    - #### REAL_NAME

          public static final String REAL_NAME

      See Also:
        Constant Field Values

    - #### EMAIL

          public static final String EMAIL

      See Also:
        Constant Field Values

    - #### LAST_LOGIN

          public static final String LAST_LOGIN

      See Also:
        Constant Field Values

    - #### LOCKED

          public static final String LOCKED

      See Also:
        Constant Field Values

    - #### EXPIRY_DATE

          public static final String EXPIRY_DATE

      See Also:
        Constant Field Values

    - #### FAILED_LOGIN_ATTEMPTS

          public static final String FAILED_LOGIN_ATTEMPTS

      See Also:
        Constant Field Values

    - #### PASSWORD_CHANGE_POLICY

          public static final String PASSWORD_CHANGE_POLICY

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### LANGUAGE

          public static final String LANGUAGE

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### MODE

          public static final String MODE

      See Also:
        Constant Field Values

    - #### URI

          public static final String URI

      See Also:
        Constant Field Values

    - #### HOST

          public static final String HOST

      See Also:
        Constant Field Values

    - #### DOMAIN

          public static final String DOMAIN

      See Also:
        Constant Field Values

    - #### IS_ACTIVE

          public static final String IS_ACTIVE

      See Also:
        Constant Field Values

    - #### IS_ALIAS

          public static final String IS_ALIAS

      See Also:
        Constant Field Values

    - #### DISPLAY_NAME

          public static final String DISPLAY_NAME

      See Also:
        Constant Field Values

    - #### PRIVILEGED

          public static final String PRIVILEGED

      See Also:
        Constant Field Values

    - #### FILEBASED

          public static final String FILEBASED

      See Also:
        Constant Field Values

    - #### HIDDEN

          public static final String HIDDEN

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### DEFAULTVALUE

          public static final String DEFAULTVALUE

      See Also:
        Constant Field Values

    - #### CHANGED

          public static final String CHANGED

      See Also:
        Constant Field Values

    - #### APPLICATION

          public static final String APPLICATION

      See Also:
        Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.